import dayjs, { Dayjs } from "dayjs";

const getShortcut = (label: string, start: Dayjs, end?: Dayjs) => {
  const start_d = start.toDate()
  const end_d = end?.toDate() || new Date()
  return {
    text: label,
    onClick: (picker: any) => {
      picker.$emit('pick', [start_d, end_d]);
    }
  }
}

const getShortcutDays = (label: string, days: number) =>
  getShortcut(label, dayjs().subtract(days, 'day'))

export const pickerOption = {
  shortcuts: [
    getShortcut('今天', dayjs().startOf('day')),
    getShortcut('本月', dayjs().startOf('month')),
    getShortcutDays('最近三天', 3),
    getShortcutDays('最近一周', 7),
    getShortcutDays('最近两周', 14),
    getShortcutDays('最近一个月', 30),
    getShortcutDays('最近两个月', 60),
    getShortcutDays('最近三个月', 90),
    getShortcutDays('最近一年', 365),
  ]
};

export const tableOption = {
  border: false,
  selection: false,
  stripe: true,
  align: 'center',
  searchShow: false,
  searchBtn: false,
  refreshBtn: false,
  columnBtn: false,
  menu: false,
  searchShowBtn: false,
  addBtn: false,
  rowKey: 'id',
  reserveSelection: true,
  column: [{
    label: '#',
    prop: 'id',
    width: 50,
  }, {
    label: '客户手机号',
    prop: 'phone',
    width: 150,
  }, {
    label: '咨询内容',
    prop: 'content',
    align: 'left',
  }, {
    label: '提交时间',
    prop: 'createdAt',
    width: 150,
  }]
}

export default tableOption;