export const order = {
  columns: [
    {
      title: "编号",
      dataIndex: "id",
    },
    {
      title: "订单号",
      dataIndex: "orderNo",
    },
    {
      title: "下单人",
      dataIndex: "addressName",
    },
    {
      title: "订单金额",
      dataIndex: "totalFee",
    },
    {
      title: "支付方式",
      dataIndex: "payType",
    },
    {
      title: "订单状态",
      dataIndex: "status",
    },
    {
      title: "操作",
      dataIndex: "action",
      scopedSlots: { customRender: "action" },
    },
  ],
  condition: [
    {
      title: "手机号",
      dataIndex: "phone",
      type: "input",
    },
    {
      title: "订单状态",
      dataIndex: "status",
      type: "select",
      defaultValue: '全部',
      options: [
        {
          label: "全部",
          value: "全部",
        },
        {
          label: "待支付",
          value: "待支付",
        },
        {
          label: "已支付",
          value: "已支付",
        },
      ],
    },
  ],
}
import dayjs from 'dayjs'
export const liveroomProductJumpRecord = {
  columns: [
    {
      title: "用户",
      dataIndex: "phone",
    },
    {
      title: "点击商品",
      dataIndex: "name",
    },
    {
      title: "商品链接",
      dataIndex: "linkInfo",
    },
    {
      title: "点击时间",
      dataIndex: "createAt",
      scopedSlots: {
        customRender: (label, row, index) => `${dayjs(row.createAt).format("YYYY-MM-DD HH:mm:ss")}`
      },
    },
  ],
  condition: [
    {
      title: "时间",
      dataIndex: "time",
      type: "datetimerange",
    },
  ],
}
